// Program to illustrate a simple recursive Fibonacci function.
#include <iostream>
#include <ctime>

using namespace std;

// prototypes
int fib(int n);

int main() {
	int fibSeqNumber, fibSeqValue;
	unsigned startTime, endTime;

	cout << "Enter Fibonacci sequence number to find: ";
	cin >> fibSeqNumber;
	startTime = static_cast<unsigned>(time(0));
	fibSeqValue = fib(fibSeqNumber);
	endTime = static_cast<unsigned>(time(0));
	cout << "The " << fibSeqNumber << " fibonacci number is "
		 << fibSeqValue << ".  It took " << endTime - startTime << " seconds." << endl;

} // end main

int fib(int n) {
	if (n <= 0) {			// Base case
		return 0;
	} else if (n == 1) {	// Base case
		return 1;
	} else {				// Recursive case
		return fib(n-1) + fib(n-2);
	} // end if
} // end fib